# eoSymInit< EoType > Class Template Reference

Default initializer, Koza style. More...

`#include <eoSymInit.h>`

Inheritance diagram for eoSymInit< EoType >:

List of all members.

## Public Member Functions

| eoSymInit (TreeBuilder &_builder)
| By default build ramped half and half with max depth 6.
| eoSymInit (TreeBuilder &_builder, double &_grow_prob, unsigned &_max_depth)
| Control the grow_prob and max_depth externally.
void | operator() (EoType &tree)
| build the tree

## Private Attributes

TreeBuilder & | builder
double | own_grow_prob
unsigned | own_max_depth
double & | grow_prob
unsigned & | max_depth

## Detailed Description

### template<class EoType>
class eoSymInit< EoType >

Default initializer, Koza style.

Definition at line 26 of file eoSymInit.h.

The documentation for this class was generated from the following file:

- eoSymInit.h